var PageSize = 30;//每页计数
var CurrentPage = 1; //当前页
var advSearch = false;

$(document).ready(function() {
	$('#loadingContainer').ajaxStart(function(){$(this).show();}).ajaxStop(function(){$(this).hide();});
	setInterval(function(){
        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()-2); //设置底部分页区域的位置
        $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.sub_container_title').height()-$('div.sub_container_operation').height()-$('div.sub_container_listhead').height()-$('div.sub_container_page').height()); //设置内容区域的高度
    },1000);
    setList();
    $('#btnAdvSearch').click(function(){
        if(!advSearch){
            $('#searchdetail').show();
            advSearch = true;
            $(this).val('关闭');
            $('#searchcontent').css('padding-bottom','10px');
        }else{
            $('#searchdetail').hide();
            advSearch = false;
            $(this).val('详细搜索');
            $('#searchcontent').css('padding-bottom','0px');
        }
    });
    
    $('#ddlType').change(function(){
        if($(this).val() != '1'){
            $('#content_usetimes').show();
        }else{
            $('#content_usetimes').hide();
        };
    });
    
    $("#txtStartTime").datepicker().click(function(){$(this).blur()});
    $("#txtEndTime").datepicker().click(function(){$(this).blur()});
    $("#sUseTime").datepicker().click(function(){$(this).blur()});
    $("#eUseTime").datepicker().click(function(){$(this).blur()});
    
    $('#btnSearch').click(function(){
        if(isNaN($('#minUseTimes').val())){alert('使用次数填写有误');return false;$('#minUseTimes').focus();}
        if(isNaN($('#maxUseTimes').val())){alert('使用次数填写有误');return false;$('#maxUseTimes').focus();}
        CurrentPage = 1;
        BindList();
        if(advSearch){$('#btnAdvSearch').click();};
    });
 
	BindList();		
});

//绑定数据
function BindList(){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:'CouponsList.aspx?NoCopyRight=1&type=ajax&Action=GetList&PageSize=' + PageSize + '&Page=' + CurrentPage + '&SearchType='+$('#ddlSearchType').val() + '&keyword=' +escape($.trim($('#txtKeywords').val())) + '&CouponsType=' + $('#ddlType').val() + '&minUseTimes=' + $('#minUseTimes').val() + '&maxUseTimes=' + $('#maxUseTimes').val() + '&MemberName=' + escape($('#txtMemberName').val()) + '&stime=' + escape($('#txtStartTime').val()) + '&etime=' + escape($('#txtEndTime').val()) + '&sUseTime=' + escape($('#sUseTime').val()) + '&eUseTime=' + escape($('#eUseTime').val()) + '&IsUsed=' + $('#ddlIsUsed').val(),
        cache:false,
        success:function(msg){
            $('tr:gt(0)','#datas').remove();
            $('input[@name=chkAll]').attr('checked',false);
            var data = msg.Coupons;
            $.each(data,function(i,n){
               var row = $('#template').clone();
               row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')});
               row.find('#name').text(n.CouponName);
               row.find('#code').text(n.CouponCode);
               row.find('#type').text(n.Type == '0' ? '无限次使用' : '只使用一次');
               row.find('#createtime').text(n.AddTime);
               row.find('#membername').text(n.MemberID != '0' ? n.MemberName : '');
               row.find('#gettype').text(GetMethod(n.GetMethod));
               row.find('#usedate').text(n.UsedTime == '' ? '—' : n.UsedTime);
               row.find('#usedtimes').html(n.UsedTimes);
               row.find('#status').html(GetStatus(n.Status,n.Type,n.UsedTimes));
               
               row.attr('id','item_'+i).appendTo($('#datas'));
            });
           
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "EventLog.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindList();return false;"}//[attr]
            );
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert(textStatus)};}
    });//end ajax
};//end funciton

function GetMethod(method){
    var result = '';
    switch(method){
        case '1':
            result = '实体券';
            break;
        case '2':
            result = '积分兑换';
            break;
        case '3':
            result = '赠送';
            break;
    }
    return result;
};

function GetStatus(couponsStatus,type,usedTimes){
    var result = '';
    if(couponsStatus == '0'){
        result = '<font color="red">已使用</font>';
    }else{
        
        result = '<font color="blue">可使用</font>';
    };
    return result;
};
function setList()
{
	var pageWidth=document.documentElement.clientWidth-9;
	$(".sub_container_content").css("width",pageWidth);
	$(".sub_container_listhead").css("width",pageWidth);
	$(".llist").css("width",pageWidth);
	var c1_width = pageWidth*0.20+"px";
	var c2_width = pageWidth*0.20+"px";
	var c3_width = pageWidth*0.08+"px";
	var c4_width = pageWidth*0.08+"px";
	var c5_width = pageWidth*0.08+"px";
	var c6_width = pageWidth*0.08+"px";
	var c7_width = pageWidth*0.10+"px";
	var c8_width = pageWidth*0.08+"px";
	var c9_width = pageWidth*0.10+"px";
	
	$('.c1').css("width",c1_width);
	$('.c2').css("width",c2_width);
	$('.c3').css("width",c3_width);
	$('.c4').css("width",c4_width);
	$('.c5').css("width",c5_width);
	$('.c6').css("width",c6_width);
	$('.c7').css("width",c7_width);
	$('.c8').css("width",c8_width);
	$('.c9').css("width",c9_width);
}